---
updatedAt: 2025-06-12T20:17:45.000Z
agentTools:
  projectIndex: https://developer.accelevents.com/llms.txt
---

# Exhibitor Image As The Background for The Card

This API used to create exhibitor image as the background for the card by exhibitor id associated with the specified event.
To call this API, user have to pass query param with API URL like id, image upload detials and authentication key to authenticate user.

## Response

Here is the description of response attributes, which returns to the form of JSON.\
It will return a success message if API execute successfully.

<Table align={["left","left"]}>
  <thead>
    <tr>
      <th>
        Attribute
      </th>

      <th>
        Description
      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td>
        **[croppedImgName](http://google.com)** 
      </td>

      <td>
        It's contains the exhibitor cropped image name.
      </td>
    </tr>

    <tr>
      <td>
        **croppedImgUrl** 
      </td>

      <td>
        It's contains **the** exhibitor cropped image url.
      </td>
    </tr>

    <tr>
      <td>
        **faviconImage** 
      </td>

      <td>
        It's contains the exhibitor favicon image.
      </td>
    </tr>

    <tr>
      <td>
        **fileName** 
      </td>

      <td>
        It's contains the name of file in exhibitor.
      </td>
    </tr>

    <tr>
      <td>
        **height** 
      </td>

      <td>
        It's contains the exhibitor image height.
      </td>
    </tr>

    <tr>
      <td>
        **originalImgUrl** 
      </td>

      <td>
        It's contains the exhibitor original image url.
      </td>
    </tr>

    <tr>
      <td>
        **secureUrl** 
      </td>

      <td>
        It's contains the cloudnary secure url.
      </td>
    </tr>

    <tr>
      <td>
        **width** 
      </td>

      <td>
        It's contains the exhibitor image width.
      </td>
    </tr>

    <tr>
      <td>
        **x** 
      </td>

      <td>
        It's contains the image x direction.
      </td>
    </tr>

    <tr>
      <td>
        **y** 
      </td>

      <td>
        It's contains the image y direction.
      </td>
    </tr>
  </tbody>
</Table>

## Error Code

Here is the possible error messages, which return if any condition gets failed or required data is missing for processing.

<Table align={["left","left"]}>
  <thead>
    <tr>
      <th>
        Error Code
      </th>

      <th>
        Error Description
      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td>
        200
      </td>

      <td>
        Ok
      </td>
    </tr>

    <tr>
      <td>
        201
      </td>

      <td>
        Created
      </td>
    </tr>

    <tr>
      <td>
        400
      </td>

      <td>
        The request could not be understood by the server due to malformed syntax.
      </td>
    </tr>

    <tr>
      <td>
        401
      </td>

      <td>
        You are not authorized to view the resource.
      </td>
    </tr>

    <tr>
      <td>
        403
      </td>

      <td>
        Accessing the resource you were trying to reach is forbidden.
      </td>
    </tr>

    <tr>
      <td>
        404
      </td>

      <td>
        The resource you were trying to reach is not found.
      </td>
    </tr>

    <tr>
      <td>
        4060906
      </td>

      <td>
        Exhibitor Not exists.
      </td>
    </tr>
  </tbody>
</Table>

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "accelevents",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://api.accelevents.com"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "header",
        "name": "Key"
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/rest/event/upload/expoCardImage/exhibitor/{id}": {
      "post": {
        "summary": "Exhibitor Image As The Background for The Card",
        "description": "This API used to create exhibitor image as the background for the card by exhibitor id associated with the specified event.\nTo call this API, user have to pass query param with API URL like id, image upload detials and authentication key to authenticate user.",
        "operationId": "exhibitor-image-as-the-background-for-the-card",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "description": "User pass the exhibitor image as the background for the card by exhibitor id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "required": true
          },
          {
            "name": "Authorization",
            "in": "header",
            "description": "API Authentication Token",
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "imageUploadDto": {
                    "type": "object",
                    "description": "It's contains the create exhibitor image as the background for the card details.",
                    "properties": {}
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"croppedImgName\": \"string\",\n  \"croppedImgUrl\": \"string\",\n  \"faviconImage\": false,\n  \"fileName\": \"string\",\n  \"height\": 0,\n  \"originalImgUrl\": \"string\",\n  \"secureUrl\": \"string\",\n  \"width\": 0,\n  \"x\": 0,\n  \"y\": 0\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "croppedImgName": {
                      "type": "string",
                      "example": "string"
                    },
                    "croppedImgUrl": {
                      "type": "string",
                      "example": "string"
                    },
                    "faviconImage": {
                      "type": "boolean",
                      "example": false,
                      "default": true
                    },
                    "fileName": {
                      "type": "string",
                      "example": "string"
                    },
                    "height": {
                      "type": "integer",
                      "example": 0,
                      "default": 0
                    },
                    "originalImgUrl": {
                      "type": "string",
                      "example": "string"
                    },
                    "secureUrl": {
                      "type": "string",
                      "example": "string"
                    },
                    "width": {
                      "type": "integer",
                      "example": 0,
                      "default": 0
                    },
                    "x": {
                      "type": "integer",
                      "example": 0,
                      "default": 0
                    },
                    "y": {
                      "type": "integer",
                      "example": 0,
                      "default": 0
                    }
                  }
                }
              }
            }
          },
          "201": {
            "description": "201",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "text/plain": {
                "examples": {
                  "Result": {
                    "value": ""
                  }
                }
              }
            }
          },
          "401": {
            "description": "401",
            "content": {
              "text/plain": {
                "examples": {
                  "Result": {
                    "value": ""
                  }
                }
              }
            }
          },
          "403": {
            "description": "403",
            "content": {
              "text/plain": {
                "examples": {
                  "Result": {
                    "value": ""
                  }
                }
              }
            }
          },
          "404": {
            "description": "404",
            "content": {
              "text/plain": {
                "examples": {
                  "Result": {
                    "value": ""
                  }
                }
              }
            }
          }
        },
        "deprecated": false
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```